// A Simple POV-Ray Program 

#include "colors.inc"
#include "shapes.inc"
#include "textures.inc"

// First Essential Element - The CAMERA, the position of the user's eye.

camera {
	location <-1, 2, -9>   // Where the Camera is located <x,y,z>
//	look_at <, 2, 0>
	direction <0, 0, 1> 
}


// Second Esssential Element - The LIGHT SOURCE 

light_source {
	<10, 15, -15>		// Location of the light 

	color <0.2, 0.2, 0.2>   // The RGB Color of the light (White)
}


light_source {
	<-2.5, 3.9, -.6>

	color <2.5, 2.5, 2.5>
	spotlight
	point_at <-2.5, 0.0, 0.5>
	radius 40
	falloff 50
}

light_source {
	<1.6, 3.9, -.6>

	color <2.5, 2.5, 2.5>
	spotlight
	point_at <1.6, 0.0, 0.5>
	radius 40
	falloff 50
}

// Third Essential Element - The OBJECTS


plane {
	y, -1  //   Plane is perpendicular to the y-axis at -1 

texture{
		tiles {
			texture { pigment { White_Marble } }
			tile2
			texture { pigment { Black } }
		}
	}
}

//sphere {
//	<5, 2, 1>, 2
//	pigment { Blue }
//	finish {
//		phong 0.6
//		reflection 0.7
//	}
//}

box {
	<-5, 0, 1>, <3, 4, 0>
	texture {
		pigment{ 
			image_map {
				tga "mandel.tga"
			}
		}
		scale 4
		finish {
			phong 0.7
			specular 0.4
		}
	}
}

merge {
	cylinder {
		<-2.5, 2, .5>, <-2.5, 4.5, .3>, .1
		pigment { Grey }
//		finish { ambient 0.2 }
	}

	cylinder {
		<-2.5, 4.5, .5>, <-2.5, 4.5, .3>, .1
		pigment { Grey }
//		finish { ambient 0.2 }
	}
}

cone {
	<-2.61, 4.5, -.5>, .22
	<-2.61, 3.8, -.5>, .5
	open
	pigment { Blue }
//	finish { ambient 0.2 }
}

merge {
	cylinder {
		<1.5, 2, .5>, <1.5, 4.5, .3>, .1
		pigment { Grey }
//		finish { ambient 0.2 }
	}

	cylinder {
		<1.5, 4.5, .5>, <1.5, 4.5, .3>, .1
		pigment { Grey }
//		finish { ambient 0.2 }
	}
}

cone {
	<1.39, 4.5, -.5>, .22
	<1.39, 3.8, -.5>, .5
	open
	pigment { Blue }
//	finish { ambient 0.2 }
}
